path: /build/build/imath-dev-libs-3.1.11+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -python_single_target_python3_10 -python_single_target_python3_7 -python_single_target_python3_8 python python_single_target_python3_9" emerge dev-libs/imath -pv -t && \
    USE="-doc -python_single_target_python3_10 -python_single_target_python3_7 -python_single_target_python3_8 python python_single_target_python3_9" emerge -j ${JOBS} --nodeps dev-libs/imath
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/imath && luet-portage --dir /pkgdir/imath
    dev-libs/imath && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:6c7743f96b021a8d2dbf6f4fbe6f9eb2c9743a2d657be9a60e457533a4ceaea7
  package:
    name: imath
    version: 3.1.11+1
    category: dev-libs
    use_flags:
    - -doc
    - -python_single_target_python3_10
    - -python_single_target_python3_7
    - -python_single_target_python3_8
    - python
    - python_single_target_python3_9
    requires:
    - name: numpy
      version: '>=0'
      category: dev-python
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Imath basic math package
    uri:
    - https://imath.readthedocs.io
    license: BSD
    buildtimestamp: 2024-03-09 07:55:34.513436736 +0000 UTC m=+301.913993424
    labels:
      BDEPEND: virtual/pkgconfig doc? ( python_single_target_python3_10? ( dev-python/breathe[python_targets_python3_10(-)]
        ) python_single_target_python3_7? ( dev-python/breathe[python_targets_python3_7(-)]
        ) python_single_target_python3_9? ( dev-python/breathe[python_targets_python3_9(-)]
        ) python_single_target_python3_8? ( dev-python/breathe[python_targets_python3_8(-)]
        ) ) python? ( python_single_target_python3_10? ( dev-lang/python:3.10 >=dev-lang/python-exec-2:=[python_targets_python3_10]
        ) python_single_target_python3_7? ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7]
        ) python_single_target_python3_9? ( dev-lang/python:3.9 >=dev-lang/python-exec-2:=[python_targets_python3_9]
        ) python_single_target_python3_8? ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8]
        ) ) dev-util/ninja dev-util/cmake
      DEPEND: '!!media-libs/ilmbase sys-libs/zlib python? ( python_single_target_python3_10?
        ( dev-lang/python:3.10 >=dev-lang/python-exec-2:=[python_targets_python3_10]
        ) python_single_target_python3_7? ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7]
        ) python_single_target_python3_9? ( dev-lang/python:3.9 >=dev-lang/python-exec-2:=[python_targets_python3_9]
        ) python_single_target_python3_8? ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8]
        ) python_single_target_python3_10? ( dev-libs/boost:=[python,python_targets_python3_10(-)]
        dev-python/numpy[python_targets_python3_10(-)] ) python_single_target_python3_7?
        ( dev-libs/boost:=[python,python_targets_python3_7(-)] dev-python/numpy[python_targets_python3_7(-)]
        ) python_single_target_python3_9? ( dev-libs/boost:=[python,python_targets_python3_9(-)]
        dev-python/numpy[python_targets_python3_9(-)] ) python_single_target_python3_8?
        ( dev-libs/boost:=[python,python_targets_python3_8(-)] dev-python/numpy[python_targets_python3_8(-)]
        ) )'
      IUSE: doc large-stack python static-libs test python_single_target_python3_10
        python_single_target_python3_7 python_single_target_python3_9 python_single_target_python3_8
        python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8
      RDEPEND: '!!media-libs/ilmbase sys-libs/zlib python? ( python_single_target_python3_10?
        ( dev-lang/python:3.10 >=dev-lang/python-exec-2:=[python_targets_python3_10]
        ) python_single_target_python3_7? ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7]
        ) python_single_target_python3_9? ( dev-lang/python:3.9 >=dev-lang/python-exec-2:=[python_targets_python3_9]
        ) python_single_target_python3_8? ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8]
        ) python_single_target_python3_10? ( dev-libs/boost:=[python,python_targets_python3_10(-)]
        dev-python/numpy[python_targets_python3_10(-)] ) python_single_target_python3_7?
        ( dev-libs/boost:=[python,python_targets_python3_7(-)] dev-python/numpy[python_targets_python3_7(-)]
        ) python_single_target_python3_9? ( dev-libs/boost:=[python,python_targets_python3_9(-)]
        dev-python/numpy[python_targets_python3_9(-)] ) python_single_target_python3_8?
        ( dev-libs/boost:=[python,python_targets_python3_8(-)] dev-python/numpy[python_targets_python3_8(-)]
        ) )'
      emerge.packages: dev-libs/imath
      kit: dev-kit
      original.package.name: dev-libs/imath
      original.package.slot: "0"
      original.package.version: 3.1.11
    treedir: /build/packages
  package_dir: /pkgdir/imath
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: e1490d65a9a2a130c81c6fb5a36ad964bc0e2b0ce82bc14c85f8261eafcbd4fe
compressiontype: zstd
files:
- usr/include/Imath/ImathBox.h
- usr/include/Imath/ImathBoxAlgo.h
- usr/include/Imath/ImathColor.h
- usr/include/Imath/ImathColorAlgo.h
- usr/include/Imath/ImathConfig.h
- usr/include/Imath/ImathEuler.h
- usr/include/Imath/ImathExport.h
- usr/include/Imath/ImathForward.h
- usr/include/Imath/ImathFrame.h
- usr/include/Imath/ImathFrustum.h
- usr/include/Imath/ImathFrustumTest.h
- usr/include/Imath/ImathFun.h
- usr/include/Imath/ImathGL.h
- usr/include/Imath/ImathGLU.h
- usr/include/Imath/ImathInt64.h
- usr/include/Imath/ImathInterval.h
- usr/include/Imath/ImathLine.h
- usr/include/Imath/ImathLineAlgo.h
- usr/include/Imath/ImathMath.h
- usr/include/Imath/ImathMatrix.h
- usr/include/Imath/ImathMatrixAlgo.h
- usr/include/Imath/ImathNamespace.h
- usr/include/Imath/ImathPlane.h
- usr/include/Imath/ImathPlatform.h
- usr/include/Imath/ImathQuat.h
- usr/include/Imath/ImathRandom.h
- usr/include/Imath/ImathRoots.h
- usr/include/Imath/ImathShear.h
- usr/include/Imath/ImathSphere.h
- usr/include/Imath/ImathTypeTraits.h
- usr/include/Imath/ImathVec.h
- usr/include/Imath/ImathVecAlgo.h
- usr/include/Imath/PyImath.h
- usr/include/Imath/PyImathAPI.h
- usr/include/Imath/PyImathAutovectorize.h
- usr/include/Imath/PyImathBasicTypes.h
- usr/include/Imath/PyImathBox.h
- usr/include/Imath/PyImathBoxArrayImpl.h
- usr/include/Imath/PyImathBufferProtocol.h
- usr/include/Imath/PyImathColor.h
- usr/include/Imath/PyImathColor3ArrayImpl.h
- usr/include/Imath/PyImathColor4Array2DImpl.h
- usr/include/Imath/PyImathColor4ArrayImpl.h
- usr/include/Imath/PyImathDecorators.h
- usr/include/Imath/PyImathEuler.h
- usr/include/Imath/PyImathExport.h
- usr/include/Imath/PyImathFixedArray.h
- usr/include/Imath/PyImathFixedArray2D.h
- usr/include/Imath/PyImathFixedArrayTraits.h
- usr/include/Imath/PyImathFixedMatrix.h
- usr/include/Imath/PyImathFixedVArray.h
- usr/include/Imath/PyImathFrustum.h
- usr/include/Imath/PyImathFun.h
- usr/include/Imath/PyImathLine.h
- usr/include/Imath/PyImathMathExc.h
- usr/include/Imath/PyImathMatrix.h
- usr/include/Imath/PyImathOperators.h
- usr/include/Imath/PyImathPlane.h
- usr/include/Imath/PyImathQuat.h
- usr/include/Imath/PyImathQuatOperators.h
- usr/include/Imath/PyImathRandom.h
- usr/include/Imath/PyImathShear.h
- usr/include/Imath/PyImathStringArray.h
- usr/include/Imath/PyImathStringArrayRegister.h
- usr/include/Imath/PyImathStringTable.h
- usr/include/Imath/PyImathTask.h
- usr/include/Imath/PyImathUtil.h
- usr/include/Imath/PyImathVec.h
- usr/include/Imath/PyImathVec2Impl.h
- usr/include/Imath/PyImathVec3ArrayImpl.h
- usr/include/Imath/PyImathVec3Impl.h
- usr/include/Imath/PyImathVec4ArrayImpl.h
- usr/include/Imath/PyImathVec4Impl.h
- usr/include/Imath/PyImathVecOperators.h
- usr/include/Imath/half.h
- usr/include/Imath/halfFunction.h
- usr/include/Imath/halfLimits.h
- usr/lib/python3.9/site-packages/imath.so
- usr/lib64/cmake/Imath/ImathConfig.cmake
- usr/lib64/cmake/Imath/ImathConfigVersion.cmake
- usr/lib64/cmake/Imath/ImathTargets-gentoo.cmake
- usr/lib64/cmake/Imath/ImathTargets.cmake
- usr/lib64/libImath-3_1.so
- usr/lib64/libImath-3_1.so.29
- usr/lib64/libImath-3_1.so.29.10.0
- usr/lib64/libImath.so
- usr/lib64/libPyImath_Python3_9-3_1.so
- usr/lib64/libPyImath_Python3_9-3_1.so.29
- usr/lib64/libPyImath_Python3_9-3_1.so.29.10.0
- usr/lib64/pkgconfig/Imath.pc
- usr/lib64/pkgconfig/PyImath.pc
- usr/share/doc/imath-3.1.11/CHANGES.md.bz2
- usr/share/doc/imath-3.1.11/CONTRIBUTORS.md.bz2
- usr/share/doc/imath-3.1.11/PortingGuide.rst.bz2
- usr/share/doc/imath-3.1.11/README.md.bz2
- usr/share/doc/imath-3.1.11/SECURITY.md.bz2
- var/db/pkg/dev-libs/imath-3.1.11/BDEPEND
- var/db/pkg/dev-libs/imath-3.1.11/BUILD_TIME
- var/db/pkg/dev-libs/imath-3.1.11/CATEGORY
- var/db/pkg/dev-libs/imath-3.1.11/CBUILD
- var/db/pkg/dev-libs/imath-3.1.11/CFLAGS
- var/db/pkg/dev-libs/imath-3.1.11/CHOST
- var/db/pkg/dev-libs/imath-3.1.11/CONTENTS
- var/db/pkg/dev-libs/imath-3.1.11/COUNTER
- var/db/pkg/dev-libs/imath-3.1.11/CXXFLAGS
- var/db/pkg/dev-libs/imath-3.1.11/DEFINED_PHASES
- var/db/pkg/dev-libs/imath-3.1.11/DEPEND
- var/db/pkg/dev-libs/imath-3.1.11/DESCRIPTION
- var/db/pkg/dev-libs/imath-3.1.11/EAPI
- var/db/pkg/dev-libs/imath-3.1.11/FEATURES
- var/db/pkg/dev-libs/imath-3.1.11/HOMEPAGE
- var/db/pkg/dev-libs/imath-3.1.11/INHERITED
- var/db/pkg/dev-libs/imath-3.1.11/IUSE
- var/db/pkg/dev-libs/imath-3.1.11/IUSE_EFFECTIVE
- var/db/pkg/dev-libs/imath-3.1.11/KEYWORDS
- var/db/pkg/dev-libs/imath-3.1.11/LDFLAGS
- var/db/pkg/dev-libs/imath-3.1.11/LICENSE
- var/db/pkg/dev-libs/imath-3.1.11/NEEDED
- var/db/pkg/dev-libs/imath-3.1.11/PF
- var/db/pkg/dev-libs/imath-3.1.11/PROVIDES
- var/db/pkg/dev-libs/imath-3.1.11/RDEPEND
- var/db/pkg/dev-libs/imath-3.1.11/REQUIRES
- var/db/pkg/dev-libs/imath-3.1.11/RESTRICT
- var/db/pkg/dev-libs/imath-3.1.11/SIZE
- var/db/pkg/dev-libs/imath-3.1.11/SLOT
- var/db/pkg/dev-libs/imath-3.1.11/USE
- var/db/pkg/dev-libs/imath-3.1.11/environment.bz2
- var/db/pkg/dev-libs/imath-3.1.11/imath-3.1.11.ebuild
- var/db/pkg/dev-libs/imath-3.1.11/repository
package_cacheimage: ""
runtime:
  name: imath
  version: 3.1.11+1
  category: dev-libs
  use_flags:
  - -doc
  - -python_single_target_python3_10
  - -python_single_target_python3_7
  - -python_single_target_python3_8
  - python
  - python_single_target_python3_9
  requires:
  - name: boost
    version: '>=0'
    category: dev-libs
  - name: numpy
    version: '>=0'
    category: dev-python
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Imath basic math package
  uri:
  - https://imath.readthedocs.io
  license: BSD
  labels:
    BDEPEND: virtual/pkgconfig doc? ( python_single_target_python3_10? ( dev-python/breathe[python_targets_python3_10(-)]
      ) python_single_target_python3_7? ( dev-python/breathe[python_targets_python3_7(-)]
      ) python_single_target_python3_9? ( dev-python/breathe[python_targets_python3_9(-)]
      ) python_single_target_python3_8? ( dev-python/breathe[python_targets_python3_8(-)]
      ) ) python? ( python_single_target_python3_10? ( dev-lang/python:3.10 >=dev-lang/python-exec-2:=[python_targets_python3_10]
      ) python_single_target_python3_7? ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7]
      ) python_single_target_python3_9? ( dev-lang/python:3.9 >=dev-lang/python-exec-2:=[python_targets_python3_9]
      ) python_single_target_python3_8? ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8]
      ) ) dev-util/ninja dev-util/cmake
    DEPEND: '!!media-libs/ilmbase sys-libs/zlib python? ( python_single_target_python3_10?
      ( dev-lang/python:3.10 >=dev-lang/python-exec-2:=[python_targets_python3_10]
      ) python_single_target_python3_7? ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7]
      ) python_single_target_python3_9? ( dev-lang/python:3.9 >=dev-lang/python-exec-2:=[python_targets_python3_9]
      ) python_single_target_python3_8? ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8]
      ) python_single_target_python3_10? ( dev-libs/boost:=[python,python_targets_python3_10(-)]
      dev-python/numpy[python_targets_python3_10(-)] ) python_single_target_python3_7?
      ( dev-libs/boost:=[python,python_targets_python3_7(-)] dev-python/numpy[python_targets_python3_7(-)]
      ) python_single_target_python3_9? ( dev-libs/boost:=[python,python_targets_python3_9(-)]
      dev-python/numpy[python_targets_python3_9(-)] ) python_single_target_python3_8?
      ( dev-libs/boost:=[python,python_targets_python3_8(-)] dev-python/numpy[python_targets_python3_8(-)]
      ) )'
    IUSE: doc large-stack python static-libs test python_single_target_python3_10
      python_single_target_python3_7 python_single_target_python3_9 python_single_target_python3_8
      python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8
    RDEPEND: '!!media-libs/ilmbase sys-libs/zlib python? ( python_single_target_python3_10?
      ( dev-lang/python:3.10 >=dev-lang/python-exec-2:=[python_targets_python3_10]
      ) python_single_target_python3_7? ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7]
      ) python_single_target_python3_9? ( dev-lang/python:3.9 >=dev-lang/python-exec-2:=[python_targets_python3_9]
      ) python_single_target_python3_8? ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8]
      ) python_single_target_python3_10? ( dev-libs/boost:=[python,python_targets_python3_10(-)]
      dev-python/numpy[python_targets_python3_10(-)] ) python_single_target_python3_7?
      ( dev-libs/boost:=[python,python_targets_python3_7(-)] dev-python/numpy[python_targets_python3_7(-)]
      ) python_single_target_python3_9? ( dev-libs/boost:=[python,python_targets_python3_9(-)]
      dev-python/numpy[python_targets_python3_9(-)] ) python_single_target_python3_8?
      ( dev-libs/boost:=[python,python_targets_python3_8(-)] dev-python/numpy[python_targets_python3_8(-)]
      ) )'
    emerge.packages: dev-libs/imath
    kit: dev-kit
    original.package.name: dev-libs/imath
    original.package.slot: "0"
    original.package.version: 3.1.11
